#!/usr/bin/env perl

use strict;
use warnings;
use Env qw($COLLECTD_HOSTNAME $COLLECTD_INTERVAL);

$| = 1;
my $hostname;
my $interval;

if (defined($COLLECTD_HOSTNAME)) {
	$hostname = $COLLECTD_HOSTNAME;
} else {
	$hostname = 'localhost';
}

if (defined($COLLECTD_INTERVAL)) {
	$interval = int($COLLECTD_INTERVAL);
} else {
	$interval = 100;
}

my $comand = 'asterisk -rx "core show channels" | grep "active" | awk \'{ print $1" "$3 }\' 2>&1';
my $plugin_name = "elastixcalls";

my $now = time();
my @result = `$comand`;
   
foreach ( @result ){
	my @value = split " ", $_;
        printf "PUTVAL \"%s/$plugin_name/gauge-active_%s\" interval=%d $now:%d\n" , $hostname, $value[1], $interval, $value[0];
}


